from django.core.management.base import BaseCommand
from common.email import send_out_mail_task


class Command(BaseCommand):
    help = 'Sends an email'

    def add_arguments(self, parser):
        parser.add_argument('subject', type=str)
        parser.add_argument('message', type=str)
        parser.add_argument('SENDER_EMAIL', type=str)
        parser.add_argument('receiver_email', type=str)

    def handle(self, *args, **options):
        send_out_mail_task.delay(
            options['subject'],
            options['message'],
            options['SENDER_EMAIL'],
            options['receiver_email'])
