from mozilla_django_oidc.auth import OIDCAuthenticationBackend
from account import models
from common.email import registration


class JSOIDCAuthBackend(OIDCAuthenticationBackend):
    def create_user(self, claims):
        user = super(JSOIDCAuthBackend, self).create_user(claims)
        user.first_name = claims.get('given_name', '')
        user.last_name = claims.get('family_name', '')
        user.save()
        models.Profile.objects.create(user=user)
        if user.email is not None:
            registration.delay(
                {'last_name': user.last_name, 'first_name': user.first_name, 'email': user.email})
        return user

    def update_user(self, user, claims):
        user.first_name = claims.get('given_name', '')
        user.last_name = claims.get('family_name', '')
        user.save()
        return user


def generate_username(email: str):
    return email.split('@')[0]
