from datetime import timedelta
from typing import List, Tuple
from .base import *

DEBUG = int(os.environ.get("DEBUG", default=0))

ALLOWED_HOSTS = ['*']

DATABASES = {
    'default': {
        'ENGINE': os.getenv('DB_ENGINE', 'django.db.backends.postgresql'),
        'NAME': os.getenv('DB_NAME', 'kszkepzes'),
        'USER': os.getenv('DB_USER'),
        'PASSWORD': os.getenv('DB_PASSWORD'),
        'HOST': os.getenv('DB_HOST', 'localhost'),
        'PORT': os.getenv('DB_PORT', 5432),
    }
}

EMAIL_BACKEND = 'django.core.mail.backends.smtp.EmailBackend'
EMAIL_HOST = os.getenv('SMTP_HOST', 'smtp.office365.com')
EMAIL_PORT = 587
EMAIL_USE_TLS = True
EMAIL_HOST_USER = os.getenv('SMTP_USER')
EMAIL_HOST_PASSWORD = os.getenv('SMTP_PASSWORD')

CELERY_BROKER_URL = os.getenv('CELERY_BROKER_URL')
CELERY_RESULT_BACKEND = os.getenv('CELERY_BROKER_URL')
REDIS_URL = os.getenv('CELERY_BROKER_URL')

CSRF_TRUSTED_ORIGINS = [os.getenv('CSRF_TRUSTED_ORIGINS')]

FILE_UPLOAD_DIR = os.environ.get("FILE_UPLOAD_DIR")

#Minio Stuff
MINIO_CONSISTENCY_CHECK_ON_START = True
MINIO_EXTERNAL_ENDPOINT = os.environ.get("MINIO_EXTERNAL_ENDPOINT")
MINIO_EXTERNAL_ENDPOINT_USE_HTTPS = True
MINIO_ENDPOINT = os.environ.get("MINIO_ACCESS_ENDPOINT")
MINIO_USE_HTTPS = False
MINIO_REGION = 'us-east-1'
MINIO_ACCESS_KEY = os.environ.get("MINIO_ACCESS_KEY")
MINIO_SECRET_KEY = os.environ.get("MINIO_SECRET_KEY")
MINIO_URL_EXPIRY_HOURS = timedelta(hours=2)
MINIO_PUBLIC_BUCKETS = [
    os.environ.get('MINIO_STATIC_BUCKET'),
    os.environ.get('MINIO_MEDIA_BUCKET')
]
MINIO_POLICY_HOOKS: List[Tuple[str, dict]] = []
MINIO_MEDIA_FILES_BUCKET = os.environ.get('MINIO_MEDIA_BUCKET')
MINIO_STATIC_FILES_BUCKET = os.environ.get('MINIO_STATIC_BUCKET')
MINIO_BUCKET_CHECK_ON_SAVE = True
DEFAULT_FILE_STORAGE = 'django_minio_backend.models.MinioBackend'
STATICFILES_STORAGE = 'django_minio_backend.models.MinioBackendStatic'

SECURE_PROXY_SSL_HEADER = ("HTTP_X_FORWARDED_PROTO", "https")